HomeIntelliResponse - AdmissionAdmissionWhat Java version do I need for Angel?

1.42. What Java version do I need for Angel?

Java Version for Angel

Java is not required for using ANGEL. You can check that your browser is set up properly for ANGEL by visiting https://angel.cuw.edu/CheckBrowser/default.asp

This page was: Helpful | Not Helpful